%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-cssselect2
Version:       0.7.0
Release:       2mamba
Summary:       CSS selectors for Python ElementTree
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://doc.courtbouillon.org/cssselect2/stable/
Source:        https://pypi.debian.net/cssselect2/cssselect2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(tinycss2)
BuildRequires: python3.7dist(webencodings)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n cssselect2-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-2mamba
- rebuilt with python 3.10

* Sat Nov 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created using the webbuild interface
